Bug 205230 - [PATCH] security/slurpie: Use ftell() rather than groveling around in FILE's internals
Summary: [PATCH] security/slurpie: Use ftell() rather than groveling around in FILE's ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://reviews.freebsd.org/D4488
Keywords:
Depends on:
Blocks: 205029
  Show dependency treegraph
 
Reported: 2015-12-10 21:05 UTC by John Baldwin
Modified: 2016-01-24 15:26 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Baldwin freebsd_committer freebsd_triage 2015-12-10 21:05:08 UTC
As part of my goal of making FILE more opaque to applications, this was the only (ab)user of _offset found by an exp-run.  I tested that this compiles, but I have not runtested it.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-11 07:55:31 UTC
Port is unmaintained, implicit approval
Comment 2 commit-hook freebsd_committer 2016-01-24 14:27:33 UTC
A commit references this bug:

Author: pi
Date: Sun Jan 24 14:27:15 UTC 2016
New revision: 407127
URL: https://svnweb.freebsd.org/changeset/ports/407127

Log:
  security/slurpie: change use of _offset to ftell

  - canonize patches, while there

  PR:		205230
  Submitted by:	jhb

Changes:
  head/security/slurpie/Makefile
  head/security/slurpie/files/patch-Makefile
  head/security/slurpie/files/patch-mn.h
  head/security/slurpie/files/patch-src_master.c
  head/security/slurpie/files/patch-src_mater.c
  head/security/slurpie/files/patch-src_mn.h
  head/security/slurpie/files/patch-src_node.c
  head/security/slurpie/files/patch-src_slurp.c
Comment 3 Kurt Jaeger freebsd_committer 2016-01-24 14:28:42 UTC
committed, thanks.
Comment 4 commit-hook freebsd_committer 2016-01-24 15:26:58 UTC
A commit references this bug:

Author: feld
Date: Sun Jan 24 15:26:35 UTC 2016
New revision: 407155
URL: https://svnweb.freebsd.org/changeset/ports/407155

Log:
  MFH: r407127

  security/slurpie: change use of _offset to ftell

  - canonize patches, while there

  PR:		205230
  Submitted by:	jhb

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/security/slurpie/Makefile
  branches/2016Q1/security/slurpie/files/patch-Makefile
  branches/2016Q1/security/slurpie/files/patch-mn.h
  branches/2016Q1/security/slurpie/files/patch-src_master.c
  branches/2016Q1/security/slurpie/files/patch-src_mater.c
  branches/2016Q1/security/slurpie/files/patch-src_mn.h
  branches/2016Q1/security/slurpie/files/patch-src_node.c
  branches/2016Q1/security/slurpie/files/patch-src_slurp.c